# My second Attempt at a makefile, doing better too
# -Jon Gentle

PC= fpc
#^^^CHANGE!^^^
DC= \draak
DPATH= .

draak.exe draak: draak.pas
	$(PC) $(FLAGS) draak.pas

new new.asm: new.fc
	$(DC) new.fc new.asm
	$(DC) stdio.fc stdio.asm
	nasm -fobj new.asm
	nasm -fobj stdio.asm -Dmain
	alink new stdio

clean:
	del *.exe
	del *.asm
	del *.obj
	del *.$$$